package uoc.javier.allpay.model;

import android.support.annotation.NonNull;

import java.util.ArrayList;
import java.util.List;

public class Goal {

    @NonNull
    public String subject;
    public String raised;
    public String goal;

    // Required for the Database in Firebase
    public String uid;

    public Goal(){
        // Default constructor required for calls to DataSnapshot
    }

    public Goal(@NonNull String subject, String raised, String goal) {
        this.subject = subject;
        this.raised = raised;
        this.goal = goal;
    }

    @NonNull
    public String getSubject() {
        return subject;
    }

    public void setSubject(@NonNull String subject) {
        this.subject = subject;
    }

    public String getRaised() {
        return raised;
    }

    public void setRaised(String raised) {
        this.raised = raised;
    }

    public String getGoal() {
        return goal;
    }

    public void setGoal(String goal) {
        this.goal = goal;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    @Override
    public String toString() {
        return "Goal{" +
                "subject='" + subject + '\'' +
                ", raised='" + raised + '\'' +
                ", goal='" + goal + '\'' +
                '}';
    }
}
