package uoc.javier.allpay.model;

import android.support.annotation.NonNull;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import uoc.javier.allpay.R;

public class Item {

    // DEBUG: lista con goals de ejemplo
    public static final ArrayList<Item> ITEMS_EXAMPLE= new ArrayList<>();

    static {
        // Test username creation
        String user1 = "javierparra";
        String user2 = "martareviejo";
        String user3 = "isabelpatino" ;
        String user4 = "martingallego" ;
        String user5 = "luiscolado";
        //User user6 = new User("BOTE", null, "BOTE", null);

        List<String> payers_users = new ArrayList<>();
        List<String> receivers_users = new ArrayList<>();

        List<String> payers_users2 = new ArrayList<>();
        List<String> receivers_users2 = new ArrayList<>();

        List<String> payers_users3 = new ArrayList<>();
        List<String> receivers_users3 = new ArrayList<>();

        List<String> payers_users4 = new ArrayList<>();
        List<String> receivers_users4 = new ArrayList<>();

        payers_users.add(user1);
        receivers_users.add(user2);
        receivers_users.add(user1);
        Item item1 = new Item("Cena Jueves", "Product", "28", payers_users, receivers_users);

        payers_users2.add(user2);
        payers_users2.add(user5);
        receivers_users2.add(user3);
        receivers_users2.add(user2);
        receivers_users2.add(user5);
        Item item2 = new Item("Cervezas Viernes", "Product", "32", payers_users2, receivers_users2);

        payers_users3.add(user2);
        payers_users3.add(user4);
        payers_users3.add(user1);
        receivers_users3.add(user2);
        receivers_users3.add(user4);
        receivers_users3.add(user1);
        receivers_users3.add(user3);
        receivers_users3.add(user5);
        Item item3 = new Item("Taxi vuelta", "Service", "25", payers_users3, receivers_users3);

        payers_users4.add(user1);
        receivers_users4.add(user2);
        receivers_users4.add(user1);
        receivers_users4.add(user3);
        receivers_users4.add(user4);
        Item item4 = new Item("Tren ida", "Service", "60",payers_users4, receivers_users4);

        ITEMS_EXAMPLE.add(item1);
        ITEMS_EXAMPLE.add(item2);
        ITEMS_EXAMPLE.add(item3);
        ITEMS_EXAMPLE.add(item4);
    }

    @Override
    public String toString() {
        return "Item{" +
                "description='" + description + '\'' +
                ", type='" + type + '\'' +
                ", price='" + price + '\'' +
                ", payers_users=" + payers_users +
                ", receivers_users=" + receivers_users +
                '}';
    }

    @NonNull
    public String description;
    public String type;
    public String price;
    public List<String> payers_users;
    public List<String> receivers_users;

    // Required for the Database in Firebase
    public String uid;

    public Item(){
        // Default constructor required for calls to DataSnapshot
    }

    public Item(@NonNull String description, String type, String price, List<String> payers_users, List<String> receivers_users) {
        this.description = description;
        this.type = type;
        this.price = price;
        this.payers_users = payers_users;
        this.receivers_users = receivers_users;

    }

    public List<String> getPayers_users() {
        return payers_users;
    }

    public void setPayers_users(List<String> payers_users) {
        this.payers_users = payers_users;
    }

    public List<String> getReceivers_users() {
        return receivers_users;
    }

    public void setReceivers_users(List<String> receivers_users) {
        this.receivers_users = receivers_users;
    }

    @NonNull
    public String getDescription() {
        return description;
    }

    public void setDescription(@NonNull String description) {
        this.description = description;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

}
