package uoc.javier.allpay.model;

import android.support.annotation.NonNull;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class User {
    // DEBUG: lista con users de ejemplo
    public static final List<User> USERS_EXAMPLE= new ArrayList<>();

    static {
        User user1 = new User("javier@uoc.com", "javier", "Javier", "Parra", "javierparra");
        User user2 = new User("parra@uoc.com", "parra", "Martin", "Gallego", "martingallego");
        User user3 = new User("marta@uoc.com", "marta", "Marta", "Reviejo", "martareviejo");
        User user4 = new User("luis@uoc.com", "luis", "Luis","Colado", "luiscolado");
        User user5 = new User("isabel@uoc.com", "isabel", "Isabel", "Patino", "isabelpatino");
        //User user6 = new User("BOTE", null, "BOTE", null);

        USERS_EXAMPLE.add(user1);
        USERS_EXAMPLE.add(user2);
        USERS_EXAMPLE.add(user3);
        USERS_EXAMPLE.add(user4);
        USERS_EXAMPLE.add(user5);
        //USERS_EXAMPLE.add(user6);
    }

    @NonNull
    public String email;
    public String password;
    public String name;
    public String surname;
    public String username;

    public User(){
        // Default constructor required for calls to DataSnapshot
    }

    public User(@NonNull String email, String password, String name, String surname, String username) {
        this.email = email;
        this.password = password;
        this.name = name;
        this.surname = surname;
        this.username = username;
    }

    public String getSurname() {
        return surname;
    }

    public void setSurname(String surname) {
        this.surname = surname;
    }

    @NonNull
    public String getEmail() {
        return email;
    }

    public void setEmail(@NonNull String email) {
        this.email = email;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    @Override
    public String toString() {
        return "User{" +
                "email='" + email + '\'' +
                ", password='" + password + '\'' +
                ", name='" + name + '\'' +
                ", surname='" + surname + '\'' +
                ", username='" + username + '\'' +
                '}';
    }
}

