package uoc.javier.allpay.model;

import android.support.annotation.NonNull;

import java.util.ArrayList;
import java.util.List;

public class Payment {

    // DEBUG: lista con payments de ejemplo
    public static final List<Payment> PAYMENTS_EXAMPLE= new ArrayList<>();

    static {
        Payment payment1 = new Payment("javierparra", 28);

        Payment payment2 = new Payment("martingallego", 35);

        Payment payment3 = new Payment("martareviejo", 30);

        Payment payment4 = new Payment("luiscolado", -10);

        Payment payment5 = new Payment("isabelpatino", 32);

        PAYMENTS_EXAMPLE.add(payment1);
        PAYMENTS_EXAMPLE.add(payment2);
        PAYMENTS_EXAMPLE.add(payment3);
        PAYMENTS_EXAMPLE.add(payment4);
        PAYMENTS_EXAMPLE.add(payment5);
    }

    @NonNull
    public String username;
    public double balance;


    public Payment(){
        // Default constructor required for calls to DataSnapshot
    }

    public Payment(@NonNull String username, double balance) {
        this.username = username;
        this.balance = balance;
    }

    @NonNull
    public String getUsername() {
        return username;
    }

    public void setUsername(@NonNull String username) {
        this.username = username;
    }

    public double getBalance() {
        return balance;
    }

    public void setBalance(double balance) {
        this.balance = balance;
    }

    @Override
    public String toString() {
        return "Payment{" +
                "username='" + username + '\'' +
                ", balance='" + balance + '\'' +
                '}';
    }
}
